
Redmine - Defect #22178

Grouping issues by key/value custom field raises error 500

2016-03-12 01:31 - msneet qukin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.2.1   

Resolution: Fixed Affected version:  

Description

When trying to group issues in issues list by key/value custom field en error occured

error 500:

An error occurred while executing the query and has been logged. Please report this error to your 

Redmine administrator.

 Tested on a fresh redmine installation without plugins.

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.13

  Git                            2.6.1

  Filesystem                     

Redmine plugins:

  no plugin installed

Associated revisions

Revision 15224 - 2016-03-12 14:40 - Jean-Philippe Lang

Fixed that grouping issue by key/value custom field does not work (#22178).

Revision 15227 - 2016-03-13 09:03 - Jean-Philippe Lang

Merged r15224 (#22178).

History

#1 - 2016-03-12 14:22 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Works for me with PostgreSQL, could you attach the error stack trace please?

#2 - 2016-03-12 14:40 - Jean-Philippe Lang

- Category set to Custom fields

- Status changed from Needs feedback to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.1

- Resolution set to Fixed

Found the issue, fixed in r15224. Thanks for pointing this out.
https://www.redmine.org/projects/redmine/repository/svn/revisions/15224


#3 - 2016-03-13 09:03 - Jean-Philippe Lang

- Status changed from Resolved to Closed
